
Imports DevExpress.Xpo

Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
<DefaultClassOptions()>
<CreatableItem(False)>
<NavigationItem(False)>
Public Class OperationalLogParameters 'Rendszer üzemeltetési napló paraméter
    Inherits BaseObject

    Private _CustomersFrom As CustomersFrom
    Private _NumberGenerator As NumberGenerator
    Private _WorkPlace As WorkPlace 'Munkahely
    Private _ReportData As ReportData
    Private _OperationalLogType As eOperationalLogType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        OperationalLogType = eOperationalLogType.General
    End Sub

    <RuleRequiredField("OperationalLogParameters - CustomersFrom", DefaultContexts.Save)>
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    <RuleRequiredField("OperationalLogParameters - NumberGenerator", DefaultContexts.Save)>
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    <ImmediatePostData(True), DataSourceCriteria("CustomersFrom='@This.CustomersFrom'")>
    <RuleRequiredField("OperationalLogParameters - WorkPlace - RequiredField", DefaultContexts.Save)>
    <RuleUniqueValue("OperationalLogParameters - WorkPlace - UniqueValue", DefaultContexts.Save)>
    Property WorkPlace As WorkPlace
        Get
            Return _WorkPlace
        End Get
        Set(value As WorkPlace)
            SetPropertyValue("WorkPlace", _WorkPlace, value)
        End Set
    End Property
    <RuleRequiredField("OperationalLogParameters - ReportData", DefaultContexts.Save)>
    Property ReportData As ReportData
        Get
            Return _ReportData
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
    Property OperationalLogType As eOperationalLogType
        Get
            Return _OperationalLogType
        End Get
        Set(value As eOperationalLogType)
            SetPropertyValue("OperationalLogType", _OperationalLogType, value)
        End Set
    End Property
End Class
